%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Tool to extract reports and run plug-ins against those extracted reports
Name: sx 
Version: 2.03
Release: 8%{?dist}
URL: http://sbradley.fedorapeople.org/sx
Source0: http://sbradley.fedorapeople.org/sx/src/%{name}-%{version}.tar.gz
License: GPLv2
Group: Applications/Archiving
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: python-devel python-setuptools 
Requires: python 

%description
sxconsole is a tool used to extract various report types and then
analyze those extracted reports with plug-ins. The tool also provides
an archiving structure so that all the compressed and extracted
reports are saved to a directory. This tool was developed for
sysreport/sosreports but has been expanded to include any report that
has a class defined.

%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__python}  setup.py install --optimize 1 --root=${RPM_BUILD_ROOT}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%files 
%defattr(-,root,root,-)
%doc LICENSE AUTHORS PKG-INFO 
%doc doc/*
%{_bindir}/sxconsole
%{python_sitelib}/*


%changelog
* Mon Sep 13 2010 Shane Bradley <sbradley@redhat.com>- 2.03-8
- Updated sx.spec and build procedures to be compliant with fedoraproject.org.
- Fixed issue where archived reports could not be loaded.
* Thu Aug 26 2010 Shane Bradley <sbradley@redhat.com>- 2.03-7
- Changed LICENSE to GPLv2
- Cleaned up the build process
- Cleaned up TarBall class
- Tweaked plugin/report classes
- Added option to checksysreport to enable native or binary execution to gather data.
- Removed checksysreport dependency and added error checking.
- Updating docs
- Minor tweaks and fixes
* Mon Jul 19 2010 Shane Bradley <sbradley@redhat.com>- 2.03-6
- Fix bug in generating network maps did not account for capitalized letters
- Added options to opensosreport for choosing fileviewer
- Added options to yakuake for choosing fileviewer and if msglogs are opened
- Added colorized text for listing of plugins with -l option
- Fix a few bugs
- Added new plugin for opening sosreport html reports in browser
- Added plugin options, so plugin can be customized
* Thu Jul 01 2010 Shane Bradley <sbradley@redhat.com>- 2.03-5
- Refactor out the helper functions for reports, moved them to sreport with sosreport/sysreport inherit
- Fixed bug for -R option when dir did not exist
- Refactor cluster plugin and it libs 
- Added yakuake.py plugin into default binary for package
- Fixed some logging issues
* Tue Jun 22 2010 Shane Bradley <sbradley@redhat.com>- 2.03-4
- Fixed bug in disabled/enabled plugins
- Added better filepath handling with -f option
- Moved cluster plugin report file to one file
* Thu Jun 17 2010 Shane Bradley <sbradley@redhat.com>- 2.03-3
- Fixed bug in cluster summary and edited summary for no packages installed.
* Tue Jun 15 2010 Shane Bradley <sbradley@redhat.com>- 2.03-2
- Added console message to list files that were created.
- Add console message and new summary file to cluster plugin.
- Cleaned up cluster/checksysreport plugins.
- Added option to load previous extracted reports.
* Fri Jun 11 2010 Shane Bradley <sbradley@redhat.com>- 2.03-1
- Added new cluster plugin and cleaned up functions for it
- Fix EOF error on tarballs so now those files are skipped
* Thu Mar 17 2010 Shane Bradley <sbradley@redhat.com>- 2.02-5
- Fixed is cluster node name in hosts file bug
* Thu Jul 9 2009 Shane Bradley <sbradley@redhat.com>- 2.02-4
- Factored out some code to streamline and simplify
- Fix command option error that did not check for disable plugin option
- Fix index error on parsing cluster.conf(via multicast section)
* Thu Jul 9 2009 Shane Bradley <sbradley@redhat.com>- 2.02-3
- Fix build error 
* Thu Jul 9 2009 Shane Bradley <sbradley@redhat.com>- 2.02-2
- Added support for userdefined reports/plugins
- Added some new rhnsat functions for package detection
- Fixed qdisk bug where would not always find out if enabled.
- Fixed a couple of bugs which include verifing tarfile type is correct.
- Fixed some document information.
- Fixed error on pulling in nonreport file types
- Finished writing on API docs.
* Thu Jun 25 2009 Shane Bradley <sbradley@redhat.com>- 2.01-1
- sxconsole is not pluggable for reports and tests
- Rewrote cluster tools and added more tests
- Refactored and cleaned up core of code
- Removed sxqt for now since refactoring of code will break it
* Wed Apr 29 2009 Shane Bradley <sbradley@redhat.com>- 1.01-13
- Fixed bug with qdisk that reported in correct result on runlevel detection.
- Fixed changelog on release versions updates.
* Mon Apr 27 2009 Shane Bradley <sbradley@redhat.com>- 1.01-12
- Updated sx.spec to be fedorahosted compliant. Added qdisk support. 
- Added if statements on xml to make sure item exists
* Thu Apr 16 2009 Shane Bradley <sbradley@redhat.com>- 1.01-11
- Fixed bug in the list of valid sosreports that were moved.
* Thu Apr 16 2009 Shane Bradley <sbradley@redhat.com>- 1.01-10
- Fixed two issues: nonsosreport *.tar.bz2 will stop sx and gfs module compare would fail incorrectly
* Mon Mar 09 2009 Shane Bradley <sbradley@redhat.com>- 1.01-9
- Fixed the -R, so that if file does not exist it will not error out.
* Sun Mar 01 2009 Shane Bradley <sbradley@redhat.com>- 1.01-8
- Fixed the -R, it was not running because of nested loop
* Sun Mar 01 2009 Shane Bradley <sbradley@redhat.com>- 1.01-7
- Fix the gui from crashing if root directory does not exist
* Thu Feb 26 2009 Shane Bradley <sbradley@redhat.com>- 1.01-6
- Removed import options, added directory view on tree to import, added highlighting on search
* Wed Feb 11 2009 Shane Bradley <sbradley@redhat.com>- 1.01-5
- Fix add file dialog to goto last dir, fixed some warning for checking checksysreport file, fixed loop in acpi checking
* Tue Feb 10 2009 Shane Bradley <sbradley@redhat.com>- 1.01-4
- Added support for 7 characters that will enable support for larger ticket numbers.
* Wed Jan 21 2009 Shane Bradley <sbradley@redhat.com>- 1.01-2
- Fixed a few bugs, remove yakuake support, added new option to generate rhcs kernel table.
* Wed Dec 17 2008 Shane Bradley <sbradley@redhat.com>- 1.01-1
- First release of new version of sx with pyqt4 gui support.
